Subject: Peptides That Require Different Reconstitution Solutions — Drop Your Experience Below
From: Derek from Peptide Price <[email-masked]>
To: [email-masked]
Date: Mon, 6 Apr 2026 19:29:37 +0000
List-Id: <derekpruski.substack.com>

View this post on the web at https://derekpruski.substack.com/p/peptides-that-require-different-reconstitution

Some peptides need a little extra attention when it comes to reconstitution — wrong solvent, wrong temp, or wrong technique and you’re either looking at a cloudy vial or a peptide that won’t dissolve at all.
Here’s what’s worked from personal research expirence, and I’d love for this thread to become a go-to resource as more of you share your own experiences.
ARA-290
Use PBS (phosphate-buffered saline) as your primary reconstitution solution
Skip BAC water here — PBS is the right call for this one
AOD-9604
2.4 mL BAC water + 0.6 mL acetic acid
The acetic acid helps get it into solution cleanly
Total volume: 3 mL
IGF-1 LR3
1 mL BAC water + 1 mL acetic acid
Equal parts, 2 mL total
Kisspeptin-10
This one has a reputation for giving researchers trouble
3 mL BAC water — mine came out completely clear using this volume
If you’ve been having issues, try bumping up the BAC water volume before reaching for an alternative solvent
Tesamorelin (Honorable Mention)
Use BAC water, but technique matters here
Make sure both the BAC water and the peptide vial are at room temperature before reconstituting
Once reconstituted, keep it in a stable spot in the fridge — middle of a shelf, not pushed all the way to the back where temperature can fluctuate
Two to Avoid in Lyophilized Form
SLU-PP-332 and Dihexa
Both have poor water solubility and are typically recommended to be reconstituted with DMSO
DMSO comes with its own set of issues and isn’t something I’d recommend dealing with
Skip the lyophilized form entirely
P.S. I would always ensure you have acetic acid on hand when reconstituting some of these peptides, just in case gelling or aggregation occurs.
Drop your reconstitution tips below, especially if you’ve worked with peptides that gave you trouble. The more experiences we can document here, the better resource this becomes for the whole community.

Unsubscribe https://substack.com/redirect/2/eyJlIjoiaHR0cHM6Ly9kZXJla3BydXNraS5zdWJzdGFjay5jb20vYWN0aW9uL2Rpc2FibGVfZW1haWw_dG9rZW49ZXlKMWMyVnlYMmxrSWpveU56TTJNakl6T1Rnc0luQnZjM1JmYVdRaU9qRTVNek00T0RreU1pd2lhV0YwSWpveE56YzFOVEF6TnpnMkxDSmxlSEFpT2pFNE1EY3dNemszT0RZc0ltbHpjeUk2SW5CMVlpMHpNelkxTXpZM0lpd2ljM1ZpSWpvaVpHbHpZV0pzWlY5bGJXRnBiQ0o5LmpsUHJGd0pGaG94a0hwdTlzaWNydWxUd05yejJaa2JMRVRROC11dWl6NlUiLCJwIjoxOTMzODg5MjIsInMiOjMzNjUzNjcsImYiOnRydWUsInUiOjI3MzYyMjM5OCwiaWF0IjoxNzc1NTAzNzg2LCJleHAiOjIwOTEwNzk3ODYsImlzcyI6InB1Yi0wIiwic3ViIjoibGluay1yZWRpcmVjdCJ9.FM97wL-BhL5S6h4e0VFLCTXTPcUWDvSDWR4Y0jjQY6o?